      SUBROUTINE scaleozone(dens, nlyr, ozone_column, zd, fact ) 
*
*BOD
*DESCRIPTION
* Scales the ozone profile dens to ozone_column.
*USAGE
**FORTRAN
*     CALL scale_ozone(dens, nlyr, ozone_column, zd) 
**PERL
*INPUT
**dens
*     real array(*)
*     Ozone density in number of molecules per cubic centimeter.
**nlyr
*     integer
*     Number of atmospheric layers.
**ozone_column
*     real
*     The ozone column in DU (Doboson units). dens will be scaled 
*     to ozone_column.
**zd
*     real array(*)
*     The altitude of each level.
*OUTPUT
**dens
*     real array(*)
*     Ozone density in number of molecules per cubic centimeter
*     scaled to ozone_column.
*ERROR_MESSAGES
*ROUTINES_CALLED
*FILES
*REFERENCES
*EOD
*
      IMPLICIT LOGICAL (A-Z)    ! To nearly get strong typing
*
      INTEGER lc, nlyr
      REAL dens(0:*), ozone_column, zd(0:*)
      REAL colo3, colo3_du, deltaz, fact
      REAL o3column

*
* Calculate the ozone column in dobson
*
      colo3_du = o3column(dens, nlyr, zd )
* 
* Scale profile to ozone_column
*  
      fact  = ozone_column/colo3_du
cakyp
*      WRITE(*,*)"scale_ozone_column",colo3_du, ozone_column, fact
cakyp      
      DO lc = 0, nlyr
         dens(lc) = dens(lc) * fact
      ENDDO
*
      RETURN
*
      END
